package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

@ApiModel
public class DrpPayAndRefundRecordsListDTO {
   @ApiModelProperty("采购订单号")
   private @NotBlank(
   message = "采购订单号不能为空!"
) String orderGoodsId;
   @ApiModelProperty("类型(1申请，2付款/退款)")
   private Integer type;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Integer getType() {
      return this.type;
   }

   public DrpPayAndRefundRecordsListDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpPayAndRefundRecordsListDTO setType(final Integer type) {
      this.type = type;
      return this;
   }

   protected boolean canEqual(final Object other) {
      return other instanceof DrpPayAndRefundRecordsListDTO;
   }


   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpPayAndRefundRecordsListDTO(orderGoodsId=" + var10000 + ", type=" + this.getType() + ")";
   }
}
